import type { YAMLNode } from "./deps.js";
import { PSLiteral, PSValue } from "./types.js";
/**
 * Convert a JavaScript value into a PlatformScript value
 */
export declare function js2ps(value: unknown): PSValue;
/**
 * Convert a PlatformScript value into a JavaScript value
 */
export declare function ps2js(value: PSValue): unknown;
/**
 * Convert source YAML into a PlatformScript Literal
 */
export declare function yaml2ps(node: YAMLNode): PSLiteral<PSValue>;
